<?xml version="1.0" encoding="Shift_JIS"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output 
	method="html"
	media-type="text/html"
	doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"
	encoding="Shift_JIS"/>

<xsl:template match="menu">
	<ul>
		<xsl:apply-templates/>
	</ul>
</xsl:template>

<xsl:template match="submenu">
	<li>
		<xsl:value-of select="@title"/>
		<ul>
			<xsl:apply-templates/>
		</ul>
	</li>
</xsl:template>

<xsl:template match="item">
	<li>
		<xsl:value-of select="@title"/> - <xsl:value-of select="@command"/>
	</li>
</xsl:template>

<xsl:template match="separator">
	<li>------------------</li>
</xsl:template>

</xsl:stylesheet>
